<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:adf="urn:avicomsys-ru:adf-preview">
  <xsl:variable name="lang" select="adf:GetLanguage()" />
  <xsl:variable name="CanViewTimeEntry" select="pjm5TimeEntryGet/TimeEntry/CanViewTimeEntries" />
  <xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE>
          <xsl:value-of select="pjm5TimeEntryGet/TimeEntry/FileAs" />
        </TITLE>
        <xsl:value-of select="adf:GetCss()" disable-output-escaping="yes" />
      </HEAD>
      <BODY >
        <xsl:value-of select="adf:GetHeader(pjm5TimeEntryGet/TimeEntry)"  disable-output-escaping="yes"/>
        <xsl:apply-templates select="pjm5TimeEntryGet/TimeEntry"/>
        <xsl:value-of select="adf:GetFooter(pjm5TimeEntryGet/TimeEntry)"  disable-output-escaping="yes"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="TimeEntry">
    <table class="main"  cellspacing="0" cellpadding="0" border="0">
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Сотрудник:
              </xsl:when>
              <xsl:otherwise>
                Employee:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
              <xsl:value-of select="adf:GetListMember(EmployeeID, 'Employee', 'Name')"/>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="CanViewTimeEntries='true'">
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Проект:
                  </xsl:when>
                  <xsl:otherwise>
                    Project:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:choose>
                <xsl:when test="ProjectID">
                  <xsl:value-of select="adf:GetListMember(ProjectID, 'Project', 'Name')"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                    <xsl:when test="$lang = 'ru'">
                      (не указан)
                    </xsl:when>
                    <xsl:otherwise>
                      (none)
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
          <xsl:choose>
            <xsl:when test="TaskID">
              <tr>
                <td>
                  <strong>
                    <xsl:choose>
                      <xsl:when test="$lang = 'ru'">
                        Задача:
                      </xsl:when>
                      <xsl:otherwise>
                        Task:
                      </xsl:otherwise>
                    </xsl:choose>
                  </strong>
                  <xsl:value-of select="adf:GetListMember(TaskID, 'Task', 'Name')"/>
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="DocumentName">
              <tr>
                <td>
                  <strong>
                    <xsl:value-of select="DocumentClassName"/>: 
                  </strong>
                  <xsl:value-of select="DocumentName"/>
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
          <!--<xsl:choose>
            <xsl:when test="ServiceAssignmentID">
              <tr>
                <td>
                  <strong> Услуга: </strong>
                  <xsl:value-of select="adf:GetListMember(ServiceAssignmentID, 'ActiveServiceAssignment', 'Name')"/>
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>-->
          <tr>
            <td>
              <strong>
                <xsl:choose>
                  <xsl:when test="$lang = 'ru'">
                    Вид деятельности:
                  </xsl:when>
                  <xsl:otherwise>
                    Activity Type:
                  </xsl:otherwise>
                </xsl:choose>
              </strong>
              <xsl:choose>
                <xsl:when test="ActivityTypeID">
                  <xsl:value-of select="adf:GetListMember(ActivityTypeID, 'ActivityType', 'Name')"/>
                </xsl:when>
                <xsl:otherwise></xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <tr>
        <td>
          <strong>
            <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                Начало:
              </xsl:when>
              <xsl:otherwise>
                Start Date:
              </xsl:otherwise>
            </xsl:choose>
          </strong>
          <xsl:value-of select="adf:FormatXmlDate(StartTime, 'dd.MM.yyyy HH:mm')"/>
        </td>
      </tr>
      <tr>
        <td>
          <strong>
          <xsl:choose>
            <xsl:when test="$lang = 'ru'">
              Длительность:
            </xsl:when>
            <xsl:otherwise>
              Duration:
            </xsl:otherwise>
          </xsl:choose>
        </strong>
          <xsl:value-of select="Duration"/> мин.
        </td>
      </tr>
      <tr>
        <td>
          <strong>
          <xsl:choose>
            <xsl:when test="$lang = 'ru'">
              Сверхурочная работа:
            </xsl:when>
            <xsl:otherwise>
              Overtime Work:
            </xsl:otherwise>
          </xsl:choose>
        </strong>
          <xsl:choose>
            <xsl:when test="Overtime='true'">
              
              <xsl:choose>
              <xsl:when test="$lang = 'ru'">
                да
              </xsl:when>
              <xsl:otherwise>
                Yes
              </xsl:otherwise>
            </xsl:choose>
            </xsl:when>
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="Overtime='false'">
              <xsl:choose>
                <xsl:when test="$lang = 'ru'">
                  нет
                </xsl:when>
              <xsl:otherwise>
                No
              </xsl:otherwise>
            </xsl:choose>
            </xsl:when>
          </xsl:choose>
        </td>
      </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>